## ros-noetic-rm-referee 0.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_referee)

## Use C++14
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

## By adding -Wall and -Werror, the compiler does not ignore warnings anymore,
## enforcing cleaner code.
add_definitions(-Wall -Werror -Wno-address-of-packed-member)

## Find catkin macros and libraries
find_package(serial REQUIRED)

find_package(catkin REQUIRED
        COMPONENTS
        sensor_msgs
        roslint
        roscpp
        rm_msgs
        serial
        rm_common
        tf2_geometry_msgs
        std_msgs
        actionlib
        nav_msgs
        )

## Find system libraries
#find_package(Eigen3 REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
        INCLUDE_DIRS
        include
        LIBRARIES
        CATKIN_DEPENDS
        roscpp
        sensor_msgs
        roslint
        rm_msgs
        rm_common
        tf2_geometry_msgs
        std_msgs
        actionlib
        nav_msgs
        DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
        include
        ${catkin_INCLUDE_DIRS}
)

## Declare cpp executables
FILE(GLOB ALL_SOURCES "src/*.cpp" "src/common/*.cpp" "src/ui/*.cpp")
add_executable(${PROJECT_NAME} ${ALL_SOURCES})

## Add dependencies to exported targets, like ROS msgs or srvs
add_dependencies(${PROJECT_NAME}
        ${catkin_EXPORTED_TARGETS}
        )

## Specify libraries to link executable targets against
target_link_libraries(${PROJECT_NAME}
        ${catkin_LIBRARIES}
        )

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
        TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
        DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation
install(
        DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

#if (${CATKIN_ENABLE_TESTING})
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
#  ## Add gtest based cpp test target and link libraries
#  catkin_add_gtest(${PROJECT_NAME}-test
#      test/test_ros_package_template.cpp
#      test/AlgorithmTest.cpp)
#  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
#endif ()

##########################
## Static code analysis ##
##########################

roslint_cpp()

=== debian/changelog ===
ros-noetic-rm-referee (0.1.17-1buster) buster; urgency=high

  * Merge pull request #100 <https://github.com/ye-luo-xi-tui/rm_control/issues/100> from ljq-lv/modified_msgs_name
    Modified msgs name
  * Modified the function and topic name
  * Modified the function and topic name
  * Modified the msg "EngineerCmd" name
  * Merge pull request #88 <https://github.com/ye-luo-xi-tui/rm_control/issues/88> from sloretz/sloretz_remove_invalid_char
    Remove 0x01 char from changelog
  * Merge pull request #86 <https://github.com/ye-luo-xi-tui/rm_control/issues/86> from chenhuiYu00/dev/lane_line_ui
    Add lane line ui.
  * Add reference_joint param.
  * Remove 0x01 char from changelog
  * Add pitch index.
  * Update Ui.
  * Optimize LaneLine ui.
  * Merge branch 'rm-controls:master' into master
  * Add LaneLine ui.
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'rm-controls:master' into master
  * Contributors: Shane Loretz, ljq-lv, ye-luo-xi-tui, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-referee (0.1.16-1buster) buster; urgency=high

  * Merge pull request #80 <https://github.com/ye-luo-xi-tui/rm_control/issues/80> from ljq-lv/new_ui_test
    Improve the Ui to reduce data transport
  * Modified the braces of rm_common
  * Modified the braces of rm_common
  * Fixed the error of wrong named
  * Fixed the error of wrong named
  * Modified the name of time stamp
  * Delete the director of "referee" in CMakeLists.txt
  * Improve the struct of directory
  * Divide ui.cpp into different type cpp
  * Add the empty function to updateManualCmdData()
  * Move updateManualCmdData into parent class
  * Delete the usleep()
  * Add the rpc_value of fixed
  * Delete unnecessary function run()
  * Modified the param's name and combined the if
  * Modified the named of time
  * Add destructor function
  * Modified the logic to get param
  * Modified the named of time stamp
  * Improve the way to get param
  * Delete unnecessary init and NodeHandle
  * Move the class's init from cpp to h
  * Move referee_ui_'s init into rm_referee::Referee
  * Delete the parent Delete the part of update
  * Delete the part of Referee.msg
  * Run pre-commit
  * Merge branch 'master' into new_ui_test
  * Merge pull request #78 <https://github.com/ye-luo-xi-tui/rm_control/issues/78> from chenhuiYu00/dev/command_sender
    Check the modification of command sender.
  * Add namespace "referee" before topic's name
  * Fixed code style
  * Add "referee_" before topic's name
  * Fixed the spelling error
  * Fixed the spelling error
  * Fixed the cover state's bug
  * Test the basic ui function successful
  * Locate the bug of capacity class
  * Locate the bug of chassis class
  * Add the chassis class
  * Fix the logic of CheckUiAdd()
  * Delete chassis class to test bug
  * Modified the struct of ui
  * Modified the struct of ui
  * Test the init of referee_base
  * Add test code
  * Delete referee msg and update command sender.
  * test
  * Move the robot_id and robot_color from "Base" to the class "DataTranslation"
  * Add the class "DataTranslation" to deal with serial_
  * Merge pull request #76 <https://github.com/ye-luo-xi-tui/rm_control/issues/76> from chenhuiYu00/accleration_Initial_value
    Add accleration initial value.
  * Merge branch 'rm-controls:master' into master
  * Code format.
  * Merge pull request #70 <https://github.com/ye-luo-xi-tui/rm_control/issues/70> from chenhuiYu00/rm_referee_pr
    Complete the referee part of manual separation.
  * Remove referee config.
  * Move files.
  * Type conversion.
  * Add RobotID enum.
  * Delete /common/data.h, Update power_limit and heat_limit.
  * Update date acquisition in command_sender.
  * Naming conventions.
  * Move referee part from rm_common to rm_referee and modify ui sending logic.
  * Add referee is_online msg.
  * Adjust referee data sending way and adapt current ui.
  * Add referee msg.
  * Merge and fixed conflict.
  * Write radar interactive.
  * Add radar part.
  * Fixed bug.
  * Add gimablchassis ui.
  * Ui work success,ore ui is in test.
  * Try reuse power limit state.
  * Change Variable name,color problem in powerlimitstate.
  * Fixed some problems,not ready.
  * Update config,referee only send ui once.
  * Add ore remain,dart remain ui.
  * Fixed topic naming, add time stamp in referee msgs.
  * Merge date.
  * Fixed for test manual,Immature work.
  * Merge branch 'rm_referee1' into referee1
  * Merge date.
  * Ljq update,fixed for test manual,Immature work.
  * Add PowerHearData.msg and GameRObotHp.msg
  * Delete unnecessary calibraiton.h
  * Add README.md
  * Update the add operation of ui
  * Add referee package
  * Contributors: Chenhui, QiayuanLiao, ljq-lv, ye-luo-xi-tui, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-referee
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-nav-msgs, ros-noetic-rm-common, ros-noetic-rm-msgs, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-sensor-msgs, ros-noetic-serial, ros-noetic-std-msgs, ros-noetic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-referee
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-nav-msgs, ros-noetic-rm-common, ros-noetic-rm-msgs, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-sensor-msgs, ros-noetic-serial, ros-noetic-std-msgs, ros-noetic-tf2-geometry-msgs
Description: A template for ROS packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-referee//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rm-referee 0.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
 find_package(catkin REQUIRED
         COMPONENTS
         sensor_msgs
-        roslint
         roscpp
         rm_msgs
         serial
@@ -45,7 +44,6 @@
         CATKIN_DEPENDS
         roscpp
         sensor_msgs
-        roslint
         rm_msgs
         rm_common
         tf2_geometry_msgs
@@ -117,9 +115,3 @@
 #      test/AlgorithmTest.cpp)
 #  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
 #endif ()
-
-##########################
-## Static code analysis ##
-##########################
-
-roslint_cpp()

=== debian/changelog ===
ros-noetic-rm-referee (0.1.18-1focal) focal; urgency=high

  * Merge pull request #113 <https://github.com/ye-luo-xi-tui/rm_control/issues/113> from chenhuiYu00/dev/polygon_ui
    Add polygon UI.
  * Merge pull request #109 <https://github.com/ye-luo-xi-tui/rm_control/issues/109> from ljq-lv/Delete
    Delete the chassis mode "GYRO"
  * Merge pull request #116 <https://github.com/ye-luo-xi-tui/rm_control/issues/116> from ye-luo-xi-tui/master
    Display shooter block state
  * Delete ShootCmd subscriber.
  * Display shooter block state.
  * Delete test polygon ui.
  * Merge branch 'master' into dev/polygon_ui
  * Delete the chassis mode "GYRO"
  * Merge branch 'master' into gazebo_imu_reserve
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_control/issues/106> from YoujianWu/work
    Delete dependence roslint.
  * Run pre-commit.
  * Delete dependence roslint.
  * Test GroupUi in real robot.
  * Rebase FixedUi.
  * Add GroupUiBase class and Polygon ui.
  * Merge branch 'master' into acceleration
    # Conflicts:
    #     rm_common/include/rm_common/decision/command_sender.h
  * Merge pull request #104 <https://github.com/ye-luo-xi-tui/rm_control/issues/104> from ye-luo-xi-tui/master
    0.1.17
  * Contributors: Kook, ljq-lv, ye-luo-xi-tui, yezi, yuchen

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-referee (0.1.17-1focal) focal; urgency=high

  * Merge pull request #100 <https://github.com/ye-luo-xi-tui/rm_control/issues/100> from ljq-lv/modified_msgs_name
    Modified msgs name
  * Modified the function and topic name
  * Modified the function and topic name
  * Modified the msg "EngineerCmd" name
  * Merge pull request #88 <https://github.com/ye-luo-xi-tui/rm_control/issues/88> from sloretz/sloretz_remove_invalid_char
    Remove 0x01 char from changelog
  * Merge pull request #86 <https://github.com/ye-luo-xi-tui/rm_control/issues/86> from chenhuiYu00/dev/lane_line_ui
    Add lane line ui.
  * Add reference_joint param.
  * Remove 0x01 char from changelog
  * Add pitch index.
  * Update Ui.
  * Optimize LaneLine ui.
  * Merge branch 'rm-controls:master' into master
  * Add LaneLine ui.
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'rm-controls:master' into master
  * Contributors: Shane Loretz, ljq-lv, ye-luo-xi-tui, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-referee (0.1.16-1focal) focal; urgency=high

  * Merge pull request #80 <https://github.com/ye-luo-xi-tui/rm_control/issues/80> from ljq-lv/new_ui_test
    Improve the Ui to reduce data transport
  * Modified the braces of rm_common
  * Modified the braces of rm_common
  * Fixed the error of wrong named
  * Fixed the error of wrong named
  * Modified the name of time stamp
  * Delete the director of "referee" in CMakeLists.txt
  * Improve the struct of directory
  * Divide ui.cpp into different type cpp
  * Add the empty function to updateManualCmdData()
  * Move updateManualCmdData into parent class
  * Delete the usleep()
  * Add the rpc_value of fixed
  * Delete unnecessary function run()
  * Modified the param's name and combined the if
  * Modified the named of time
  * Add destructor function
  * Modified the logic to get param
  * Modified the named of time stamp
  * Improve the way to get param
  * Delete unnecessary init and NodeHandle
  * Move the class's init from cpp to h
  * Move referee_ui_'s init into rm_referee::Referee
  * Delete the parent Delete the part of update
  * Delete the part of Referee.msg
  * Run pre-commit
  * Merge branch 'master' into new_ui_test
  * Merge pull request #78 <https://github.com/ye-luo-xi-tui/rm_control/issues/78> from chenhuiYu00/dev/command_sender
    Check the modification of command sender.
  * Add namespace "referee" before topic's name
  * Fixed code style
  * Add "referee_" before topic's name
  * Fixed the spelling error
  * Fixed the spelling error
  * Fixed the cover state's bug
  * Test the basic ui function successful
  * Locate the bug of capacity class
  * Locate the bug of chassis class
  * Add the chassis class
  * Fix the logic of CheckUiAdd()
  * Delete chassis class to test bug
  * Modified the struct of ui
  * Modified the struct of ui
  * Test the init of referee_base
  * Add test code
  * Delete referee msg and update command sender.
  * test
  * Move the robot_id and robot_color from "Base" to the class "DataTranslation"
  * Add the class "DataTranslation" to deal with serial_
  * Merge pull request #76 <https://github.com/ye-luo-xi-tui/rm_control/issues/76> from chenhuiYu00/accleration_Initial_value
    Add accleration initial value.
  * Merge branch 'rm-controls:master' into master
  * Code format.
  * Merge pull request #70 <https://github.com/ye-luo-xi-tui/rm_control/issues/70> from chenhuiYu00/rm_referee_pr
    Complete the referee part of manual separation.
  * Remove referee config.
  * Move files.
  * Type conversion.
  * Add RobotID enum.
  * Delete /common/data.h, Update power_limit and heat_limit.
  * Update date acquisition in command_sender.
  * Naming conventions.
  * Move referee part from rm_common to rm_referee and modify ui sending logic.
  * Add referee is_online msg.
  * Adjust referee data sending way and adapt current ui.
  * Add referee msg.
  * Merge and fixed conflict.
  * Write radar interactive.
  * Add radar part.
  * Fixed bug.
  * Add gimablchassis ui.
  * Ui work success,ore ui is in test.
  * Try reuse power limit state.
  * Change Variable name,color problem in powerlimitstate.
  * Fixed some problems,not ready.
  * Update config,referee only send ui once.
  * Add ore remain,dart remain ui.
  * Fixed topic naming, add time stamp in referee msgs.
  * Merge date.
  * Fixed for test manual,Immature work.
  * Merge branch 'rm_referee1' into referee1
  * Merge date.


=== debian/control ===
Source: ros-noetic-rm-referee
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-nav-msgs, ros-noetic-rm-common, ros-noetic-rm-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-serial, ros-noetic-std-msgs, ros-noetic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-referee
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-nav-msgs, ros-noetic-rm-common, ros-noetic-rm-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-serial, ros-noetic-std-msgs, ros-noetic-tf2-geometry-msgs
Description: A template for ROS packages.
